class_name HandFist
extends Enemy


func _on_area_2d_area_entered(area: Area2D) -> void:
	if area.is_in_group(GameConstants.GROUP_PLAYER):
		animation_player.play(GameConstants.ANIM_ATTACK)
		await animation_player.animation_finished
		animation_player.play(GameConstants.ANIM_IDLE)
